--- ./Makefile.orig	2026-01-06 09:47:23.693671601 -0600
+++ ./Makefile	2026-01-06 09:48:33.802753842 -0600
@@ -83,7 +83,7 @@
 PHP_BINARY_OBJS = main/internal_functions_cli.lo
 PHP_GLOBAL_OBJS = ext/date/php_date.lo ext/date/lib/astro.lo ext/date/lib/dow.lo ext/date/lib/parse_date.lo ext/date/lib/parse_tz.lo ext/date/lib/parse_posix.lo ext/date/lib/timelib.lo ext/date/lib/tm2unixtime.lo ext/date/lib/unixtime2tm.lo ext/date/lib/parse_iso_intervals.lo ext/date/lib/interval.lo ext/libxml/libxml.lo ext/libxml/mime_sniff.lo ext/libxml/image_svg.lo ext/openssl/openssl.lo ext/openssl/openssl_pwhash.lo ext/openssl/openssl_backend_common.lo ext/openssl/openssl_backend_v1.lo ext/openssl/openssl_backend_v3.lo ext/openssl/xp_ssl.lo ext/pcre/pcre2lib/pcre2_auto_possess.lo ext/pcre/pcre2lib/pcre2_chartables.lo ext/pcre/pcre2lib/pcre2_chkdint.lo ext/pcre/pcre2lib/pcre2_compile.lo ext/pcre/pcre2lib/pcre2_config.lo ext/pcre/pcre2lib/pcre2_context.lo ext/pcre/pcre2lib/pcre2_convert.lo ext/pcre/pcre2lib/pcre2_dfa_match.lo ext/pcre/pcre2lib/pcre2_error.lo ext/pcre/pcre2lib/pcre2_extuni.lo ext/pcre/pcre2lib/pcre2_find_bracket.lo ext/pcre/pcre2lib/pcre2_jit_compile.lo ext/pcre/pcre2lib/pcre2_maketables.lo ext/pcre/pcre2lib/pcre2_match_data.lo ext/pcre/pcre2lib/pcre2_match.lo ext/pcre/pcre2lib/pcre2_newline.lo ext/pcre/pcre2lib/pcre2_ord2utf.lo ext/pcre/pcre2lib/pcre2_pattern_info.lo ext/pcre/pcre2lib/pcre2_script_run.lo ext/pcre/pcre2lib/pcre2_serialize.lo ext/pcre/pcre2lib/pcre2_string_utils.lo ext/pcre/pcre2lib/pcre2_study.lo ext/pcre/pcre2lib/pcre2_substitute.lo ext/pcre/pcre2lib/pcre2_substring.lo ext/pcre/pcre2lib/pcre2_tables.lo ext/pcre/pcre2lib/pcre2_ucd.lo ext/pcre/pcre2lib/pcre2_valid_utf.lo ext/pcre/pcre2lib/pcre2_xclass.lo ext/pcre/php_pcre.lo ext/ctype/ctype.lo ext/dom/attr.lo ext/dom/cdatasection.lo ext/dom/characterdata.lo ext/dom/comment.lo ext/dom/document.lo ext/dom/documentfragment.lo ext/dom/documenttype.lo ext/dom/dom_iterators.lo ext/dom/domexception.lo ext/dom/domimplementation.lo ext/dom/element.lo ext/dom/entity.lo ext/dom/entityreference.lo ext/dom/html_collection.lo ext/dom/html_document.lo ext/dom/html5_parser.lo ext/dom/html5_serializer.lo ext/dom/infra.lo ext/dom/inner_outer_html_mixin.lo ext/dom/namednodemap.lo ext/dom/namespace_compat.lo ext/dom/node.lo ext/dom/nodelist.lo ext/dom/notation.lo ext/dom/obj_map.lo ext/dom/parentnode/css_selectors.lo ext/dom/parentnode/tree.lo ext/dom/php_dom.lo ext/dom/private_data.lo ext/dom/processinginstruction.lo ext/dom/text.lo ext/dom/token_list.lo ext/dom/xml_document.lo ext/dom/xml_serializer.lo ext/dom/xpath_callbacks.lo ext/dom/xpath.lo ext/dom/lexbor/selectors-adapted/selectors.lo ext/fileinfo/fileinfo.lo ext/fileinfo/php_libmagic.lo ext/fileinfo/libmagic/apprentice.lo ext/fileinfo/libmagic/apptype.lo ext/fileinfo/libmagic/ascmagic.lo ext/fileinfo/libmagic/buffer.lo ext/fileinfo/libmagic/cdf_time.lo ext/fileinfo/libmagic/cdf.lo ext/fileinfo/libmagic/compress.lo ext/fileinfo/libmagic/der.lo ext/fileinfo/libmagic/encoding.lo ext/fileinfo/libmagic/fsmagic.lo ext/fileinfo/libmagic/funcs.lo ext/fileinfo/libmagic/is_csv.lo ext/fileinfo/libmagic/is_json.lo ext/fileinfo/libmagic/is_simh.lo ext/fileinfo/libmagic/is_tar.lo ext/fileinfo/libmagic/magic.lo ext/fileinfo/libmagic/print.lo ext/fileinfo/libmagic/readcdf.lo ext/fileinfo/libmagic/softmagic.lo ext/fileinfo/libmagic/strcasestr.lo ext/filter/filter.lo ext/filter/sanitizing_filters.lo ext/filter/logical_filters.lo ext/filter/callback_filter.lo ext/ftp/php_ftp.lo ext/ftp/ftp.lo ext/hash/hash_adler32.lo ext/hash/hash_crc32.lo ext/hash/hash_fnv.lo ext/hash/hash_gost.lo ext/hash/hash_haval.lo ext/hash/hash_joaat.lo ext/hash/hash_md.lo ext/hash/hash_murmur.lo ext/hash/hash_ripemd.lo ext/hash/hash_sha_ni.lo ext/hash/hash_sha_sse2.lo ext/hash/hash_sha.lo ext/hash/hash_sha3.lo ext/hash/hash_snefru.lo ext/hash/hash_tiger.lo ext/hash/hash_whirlpool.lo ext/hash/hash_xxhash.lo ext/hash/hash.lo ext/hash/murmur/PMurHash.lo ext/hash/murmur/PMurHash128.lo ext/iconv/iconv.lo ext/json/json_encoder.lo ext/json/json_parser.lo ext/json/json_scanner.lo ext/json/json.lo ext/lexbor/php_lexbor.lo ext/lexbor/lexbor/core/array_obj.lo ext/lexbor/lexbor/core/array.lo ext/lexbor/lexbor/core/avl.lo ext/lexbor/lexbor/core/bst.lo ext/lexbor/lexbor/core/conv.lo ext/lexbor/lexbor/core/diyfp.lo ext/lexbor/lexbor/core/dobject.lo ext/lexbor/lexbor/core/dtoa.lo ext/lexbor/lexbor/core/hash.lo ext/lexbor/lexbor/core/mem.lo ext/lexbor/lexbor/core/mraw.lo ext/lexbor/lexbor/core/plog.lo ext/lexbor/lexbor/core/print.lo ext/lexbor/lexbor/core/serialize.lo ext/lexbor/lexbor/core/shs.lo ext/lexbor/lexbor/core/str.lo ext/lexbor/lexbor/core/strtod.lo ext/lexbor/lexbor/css/css.lo ext/lexbor/lexbor/css/log.lo ext/lexbor/lexbor/css/parser.lo ext/lexbor/lexbor/css/selectors/pseudo_state.lo ext/lexbor/lexbor/css/selectors/pseudo.lo ext/lexbor/lexbor/css/selectors/selector.lo ext/lexbor/lexbor/css/selectors/selectors.lo ext/lexbor/lexbor/css/selectors/state.lo ext/lexbor/lexbor/css/state.lo ext/lexbor/lexbor/css/syntax/anb.lo ext/lexbor/lexbor/css/syntax/parser.lo ext/lexbor/lexbor/css/syntax/state.lo ext/lexbor/lexbor/css/syntax/syntax.lo ext/lexbor/lexbor/css/syntax/token.lo ext/lexbor/lexbor/css/syntax/tokenizer.lo ext/lexbor/lexbor/css/syntax/tokenizer/error.lo ext/lexbor/lexbor/dom/interface.lo ext/lexbor/lexbor/dom/interfaces/attr.lo ext/lexbor/lexbor/dom/interfaces/cdata_section.lo ext/lexbor/lexbor/dom/interfaces/character_data.lo ext/lexbor/lexbor/dom/interfaces/comment.lo ext/lexbor/lexbor/dom/interfaces/document_fragment.lo ext/lexbor/lexbor/dom/interfaces/document_type.lo ext/lexbor/lexbor/dom/interfaces/document.lo ext/lexbor/lexbor/dom/interfaces/element.lo ext/lexbor/lexbor/dom/interfaces/node.lo ext/lexbor/lexbor/dom/interfaces/processing_instruction.lo ext/lexbor/lexbor/dom/interfaces/shadow_root.lo ext/lexbor/lexbor/dom/interfaces/text.lo ext/lexbor/lexbor/encoding/decode.lo ext/lexbor/lexbor/encoding/encode.lo ext/lexbor/lexbor/encoding/encoding.lo ext/lexbor/lexbor/encoding/multi.lo ext/lexbor/lexbor/encoding/range.lo ext/lexbor/lexbor/encoding/res.lo ext/lexbor/lexbor/encoding/single.lo ext/lexbor/lexbor/html/encoding.lo ext/lexbor/lexbor/html/interface.lo ext/lexbor/lexbor/html/interfaces/anchor_element.lo ext/lexbor/lexbor/html/interfaces/area_element.lo ext/lexbor/lexbor/html/interfaces/audio_element.lo ext/lexbor/lexbor/html/interfaces/base_element.lo ext/lexbor/lexbor/html/interfaces/body_element.lo ext/lexbor/lexbor/html/interfaces/br_element.lo ext/lexbor/lexbor/html/interfaces/button_element.lo ext/lexbor/lexbor/html/interfaces/canvas_element.lo ext/lexbor/lexbor/html/interfaces/d_list_element.lo ext/lexbor/lexbor/html/interfaces/data_element.lo ext/lexbor/lexbor/html/interfaces/data_list_element.lo ext/lexbor/lexbor/html/interfaces/details_element.lo ext/lexbor/lexbor/html/interfaces/dialog_element.lo ext/lexbor/lexbor/html/interfaces/directory_element.lo ext/lexbor/lexbor/html/interfaces/div_element.lo ext/lexbor/lexbor/html/interfaces/document.lo ext/lexbor/lexbor/html/interfaces/element.lo ext/lexbor/lexbor/html/interfaces/embed_element.lo ext/lexbor/lexbor/html/interfaces/field_set_element.lo ext/lexbor/lexbor/html/interfaces/font_element.lo ext/lexbor/lexbor/html/interfaces/form_element.lo ext/lexbor/lexbor/html/interfaces/frame_element.lo ext/lexbor/lexbor/html/interfaces/frame_set_element.lo ext/lexbor/lexbor/html/interfaces/head_element.lo ext/lexbor/lexbor/html/interfaces/heading_element.lo ext/lexbor/lexbor/html/interfaces/hr_element.lo ext/lexbor/lexbor/html/interfaces/html_element.lo ext/lexbor/lexbor/html/interfaces/iframe_element.lo ext/lexbor/lexbor/html/interfaces/image_element.lo ext/lexbor/lexbor/html/interfaces/input_element.lo ext/lexbor/lexbor/html/interfaces/label_element.lo ext/lexbor/lexbor/html/interfaces/legend_element.lo ext/lexbor/lexbor/html/interfaces/li_element.lo ext/lexbor/lexbor/html/interfaces/link_element.lo ext/lexbor/lexbor/html/interfaces/map_element.lo ext/lexbor/lexbor/html/interfaces/marquee_element.lo ext/lexbor/lexbor/html/interfaces/media_element.lo ext/lexbor/lexbor/html/interfaces/menu_element.lo ext/lexbor/lexbor/html/interfaces/meta_element.lo ext/lexbor/lexbor/html/interfaces/meter_element.lo ext/lexbor/lexbor/html/interfaces/mod_element.lo ext/lexbor/lexbor/html/interfaces/o_list_element.lo ext/lexbor/lexbor/html/interfaces/object_element.lo ext/lexbor/lexbor/html/interfaces/opt_group_element.lo ext/lexbor/lexbor/html/interfaces/option_element.lo ext/lexbor/lexbor/html/interfaces/output_element.lo ext/lexbor/lexbor/html/interfaces/paragraph_element.lo ext/lexbor/lexbor/html/interfaces/param_element.lo ext/lexbor/lexbor/html/interfaces/picture_element.lo ext/lexbor/lexbor/html/interfaces/pre_element.lo ext/lexbor/lexbor/html/interfaces/progress_element.lo ext/lexbor/lexbor/html/interfaces/quote_element.lo ext/lexbor/lexbor/html/interfaces/script_element.lo ext/lexbor/lexbor/html/interfaces/select_element.lo ext/lexbor/lexbor/html/interfaces/slot_element.lo ext/lexbor/lexbor/html/interfaces/source_element.lo ext/lexbor/lexbor/html/interfaces/span_element.lo ext/lexbor/lexbor/html/interfaces/style_element.lo ext/lexbor/lexbor/html/interfaces/table_caption_element.lo ext/lexbor/lexbor/html/interfaces/table_cell_element.lo ext/lexbor/lexbor/html/interfaces/table_col_element.lo ext/lexbor/lexbor/html/interfaces/table_element.lo ext/lexbor/lexbor/html/interfaces/table_row_element.lo ext/lexbor/lexbor/html/interfaces/table_section_element.lo ext/lexbor/lexbor/html/interfaces/template_element.lo ext/lexbor/lexbor/html/interfaces/text_area_element.lo ext/lexbor/lexbor/html/interfaces/time_element.lo ext/lexbor/lexbor/html/interfaces/title_element.lo ext/lexbor/lexbor/html/interfaces/track_element.lo ext/lexbor/lexbor/html/interfaces/u_list_element.lo ext/lexbor/lexbor/html/interfaces/unknown_element.lo ext/lexbor/lexbor/html/interfaces/video_element.lo ext/lexbor/lexbor/html/interfaces/window.lo ext/lexbor/lexbor/html/parser.lo ext/lexbor/lexbor/html/token_attr.lo ext/lexbor/lexbor/html/token.lo ext/lexbor/lexbor/html/tokenizer.lo ext/lexbor/lexbor/html/tokenizer/error.lo ext/lexbor/lexbor/html/tokenizer/state_comment.lo ext/lexbor/lexbor/html/tokenizer/state_doctype.lo ext/lexbor/lexbor/html/tokenizer/state_rawtext.lo ext/lexbor/lexbor/html/tokenizer/state_rcdata.lo ext/lexbor/lexbor/html/tokenizer/state_script.lo ext/lexbor/lexbor/html/tokenizer/state.lo ext/lexbor/lexbor/html/tree.lo ext/lexbor/lexbor/html/tree/active_formatting.lo ext/lexbor/lexbor/html/tree/error.lo ext/lexbor/lexbor/html/tree/insertion_mode/after_after_body.lo ext/lexbor/lexbor/html/tree/insertion_mode/after_after_frameset.lo ext/lexbor/lexbor/html/tree/insertion_mode/after_body.lo ext/lexbor/lexbor/html/tree/insertion_mode/after_frameset.lo ext/lexbor/lexbor/html/tree/insertion_mode/after_head.lo ext/lexbor/lexbor/html/tree/insertion_mode/before_head.lo ext/lexbor/lexbor/html/tree/insertion_mode/before_html.lo ext/lexbor/lexbor/html/tree/insertion_mode/foreign_content.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_body.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_caption.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_cell.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_column_group.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_frameset.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_head_noscript.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_head.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_row.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_select_in_table.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_select.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_table_body.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_table_text.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_table.lo ext/lexbor/lexbor/html/tree/insertion_mode/in_template.lo ext/lexbor/lexbor/html/tree/insertion_mode/initial.lo ext/lexbor/lexbor/html/tree/insertion_mode/text.lo ext/lexbor/lexbor/html/tree/open_elements.lo ext/lexbor/lexbor/ns/ns.lo ext/lexbor/lexbor/ports/posix/lexbor/core/memory.lo ext/lexbor/lexbor/punycode/punycode.lo ext/lexbor/lexbor/tag/tag.lo ext/lexbor/lexbor/unicode/idna.lo ext/lexbor/lexbor/unicode/unicode.lo ext/lexbor/lexbor/url/url.lo ext/opcache/shared_alloc_mmap.lo ext/opcache/shared_alloc_posix.lo ext/opcache/shared_alloc_shm.lo ext/opcache/zend_accelerator_api.lo ext/opcache/zend_accelerator_blacklist.lo ext/opcache/zend_accelerator_debug.lo ext/opcache/zend_accelerator_hash.lo ext/opcache/zend_accelerator_module.lo ext/opcache/zend_accelerator_util_funcs.lo ext/opcache/zend_file_cache.lo ext/opcache/zend_persist_calc.lo ext/opcache/zend_persist.lo ext/opcache/zend_shared_alloc.lo ext/opcache/ZendAccelerator.lo ext/phar/dirstream.lo ext/phar/func_interceptors.lo ext/phar/phar_object.lo ext/phar/phar_path_check.lo ext/phar/phar.lo ext/phar/stream.lo ext/phar/tar.lo ext/phar/util.lo ext/phar/zip.lo ext/posix/posix.lo ext/random/csprng.lo ext/random/engine_mt19937.lo ext/random/engine_pcgoneseq128xslrr64.lo ext/random/engine_secure.lo ext/random/engine_user.lo ext/random/engine_xoshiro256starstar.lo ext/random/gammasection.lo ext/random/random.lo ext/random/randomizer.lo ext/random/zend_utils.lo ext/reflection/php_reflection.lo ext/session/mod_user_class.lo ext/session/session.lo ext/session/mod_files.lo ext/session/mod_mm.lo ext/session/mod_user.lo ext/simplexml/simplexml.lo ext/spl/php_spl.lo ext/spl/spl_array.lo ext/spl/spl_directory.lo ext/spl/spl_dllist.lo ext/spl/spl_exceptions.lo ext/spl/spl_fixedarray.lo ext/spl/spl_functions.lo ext/spl/spl_heap.lo ext/spl/spl_iterators.lo ext/spl/spl_observer.lo ext/standard/array.lo ext/standard/assert.lo ext/standard/base64.lo ext/standard/basic_functions.lo ext/standard/browscap.lo ext/standard/crc32_x86.lo ext/standard/crc32.lo ext/standard/credits.lo ext/standard/crypt.lo ext/standard/css.lo ext/standard/datetime.lo ext/standard/dir.lo ext/standard/dl.lo ext/standard/dns.lo ext/standard/exec.lo ext/standard/file.lo ext/standard/filestat.lo ext/standard/filters.lo ext/standard/flock_compat.lo ext/standard/formatted_print.lo ext/standard/fsock.lo ext/standard/ftok.lo ext/standard/ftp_fopen_wrapper.lo ext/standard/head.lo ext/standard/hrtime.lo ext/standard/html.lo ext/standard/http_fopen_wrapper.lo ext/standard/http.lo ext/standard/image.lo ext/standard/incomplete_class.lo ext/standard/info.lo ext/standard/iptc.lo ext/standard/levenshtein.lo ext/standard/libavifinfo/avifinfo.lo ext/standard/link.lo ext/standard/mail.lo ext/standard/math.lo ext/standard/md5.lo ext/standard/metaphone.lo ext/standard/microtime.lo ext/standard/net.lo ext/standard/pack.lo ext/standard/pageinfo.lo ext/standard/password.lo ext/standard/php_fopen_wrapper.lo ext/standard/proc_open.lo ext/standard/quot_print.lo ext/standard/scanf.lo ext/standard/sha1.lo ext/standard/soundex.lo ext/standard/streamsfuncs.lo ext/standard/string.lo ext/standard/strnatcmp.lo ext/standard/syslog.lo ext/standard/type.lo ext/standard/uniqid.lo ext/standard/url_scanner_ex.lo ext/standard/url.lo ext/standard/user_filters.lo ext/standard/uuencode.lo ext/standard/var_unserializer.lo ext/standard/var.lo ext/standard/versioning.lo ext/standard/crypt_blowfish.lo ext/standard/crypt_freesec.lo ext/standard/crypt_sha256.lo ext/standard/crypt_sha512.lo ext/standard/php_crypt_r.lo ext/tokenizer/tokenizer.lo ext/tokenizer/tokenizer_data.lo ext/uri/php_uri.lo ext/uri/php_uri_common.lo ext/uri/uri_parser_rfc3986.lo ext/uri/uri_parser_whatwg.lo ext/uri/uri_parser_php_parse_url.lo ext/uri/uriparser/src/UriCommon.lo ext/uri/uriparser/src/UriCompare.lo ext/uri/uriparser/src/UriCopy.lo ext/uri/uriparser/src/UriEscape.lo ext/uri/uriparser/src/UriFile.lo ext/uri/uriparser/src/UriIp4.lo ext/uri/uriparser/src/UriIp4Base.lo ext/uri/uriparser/src/UriMemory.lo ext/uri/uriparser/src/UriNormalize.lo ext/uri/uriparser/src/UriNormalizeBase.lo ext/uri/uriparser/src/UriParse.lo ext/uri/uriparser/src/UriParseBase.lo ext/uri/uriparser/src/UriQuery.lo ext/uri/uriparser/src/UriRecompose.lo ext/uri/uriparser/src/UriResolve.lo ext/uri/uriparser/src/UriSetFragment.lo ext/uri/uriparser/src/UriSetHostAuto.lo ext/uri/uriparser/src/UriSetHostCommon.lo ext/uri/uriparser/src/UriSetHostIp4.lo ext/uri/uriparser/src/UriSetHostIp6.lo ext/uri/uriparser/src/UriSetHostIpFuture.lo ext/uri/uriparser/src/UriSetHostRegName.lo ext/uri/uriparser/src/UriSetPath.lo ext/uri/uriparser/src/UriSetPort.lo ext/uri/uriparser/src/UriSetQuery.lo ext/uri/uriparser/src/UriSetScheme.lo ext/uri/uriparser/src/UriSetUserInfo.lo ext/uri/uriparser/src/UriShorten.lo ext/uri/uriparser/src/UriVersion.lo ext/xmlreader/php_xmlreader.lo ext/xmlwriter/php_xmlwriter.lo Zend/asm/make_ppc64_sysv_xcoff_gas.lo Zend/asm/jump_ppc64_sysv_xcoff_gas.lo TSRM/TSRM.lo main/explicit_bzero.lo main/fopen_wrappers.lo main/getopt.lo main/main.lo main/network.lo main/output.lo main/php_content_types.lo main/php_ini_builder.lo main/php_ini.lo main/php_glob.lo main/php_odbc_utils.lo main/php_open_temporary_file.lo main/php_scandir.lo main/php_syslog.lo main/php_ticks.lo main/php_variables.lo main/reentrancy.lo main/rfc1867.lo main/safe_bcmp.lo main/SAPI.lo main/snprintf.lo main/spprintf.lo main/strlcat.lo main/strlcpy.lo main/streams/cast.lo main/streams/filter.lo main/streams/glob_wrapper.lo main/streams/memory.lo main/streams/mmap.lo main/streams/plain_wrapper.lo main/streams/streams.lo main/streams/transports.lo main/streams/userspace.lo main/streams/xp_socket.lo Zend/Optimizer/block_pass.lo Zend/Optimizer/compact_literals.lo Zend/Optimizer/compact_vars.lo Zend/Optimizer/dce.lo Zend/Optimizer/dfa_pass.lo Zend/Optimizer/escape_analysis.lo Zend/Optimizer/nop_removal.lo Zend/Optimizer/optimize_func_calls.lo Zend/Optimizer/optimize_temp_vars_5.lo Zend/Optimizer/pass1.lo Zend/Optimizer/pass3.lo Zend/Optimizer/sccp.lo Zend/Optimizer/scdf.lo Zend/Optimizer/zend_call_graph.lo Zend/Optimizer/zend_cfg.lo Zend/Optimizer/zend_dfg.lo Zend/Optimizer/zend_dump.lo Zend/Optimizer/zend_func_info.lo Zend/Optimizer/zend_inference.lo Zend/Optimizer/zend_optimizer.lo Zend/Optimizer/zend_ssa.lo Zend/zend_alloc.lo Zend/zend_API.lo Zend/zend_ast.lo Zend/zend_atomic.lo Zend/zend_attributes.lo Zend/zend_builtin_functions.lo Zend/zend_call_stack.lo Zend/zend_closures.lo Zend/zend_compile.lo Zend/zend_constants.lo Zend/zend_cpuinfo.lo Zend/zend_default_classes.lo Zend/zend_dtrace.lo Zend/zend_enum.lo Zend/zend_exceptions.lo Zend/zend_execute_API.lo Zend/zend_execute.lo Zend/zend_extensions.lo Zend/zend_fibers.lo Zend/zend_float.lo Zend/zend_frameless_function.lo Zend/zend_gc.lo Zend/zend_gdb.lo Zend/zend_generators.lo Zend/zend_hash.lo Zend/zend_highlight.lo Zend/zend_hrtime.lo Zend/zend_inheritance.lo Zend/zend_ini_parser.lo Zend/zend_ini_scanner.lo Zend/zend_ini.lo Zend/zend_interfaces.lo Zend/zend_iterators.lo Zend/zend_language_parser.lo Zend/zend_language_scanner.lo Zend/zend_lazy_objects.lo Zend/zend_list.lo Zend/zend_llist.lo Zend/zend_max_execution_timer.lo Zend/zend_multibyte.lo Zend/zend_object_handlers.lo Zend/zend_objects_API.lo Zend/zend_objects.lo Zend/zend_observer.lo Zend/zend_opcode.lo Zend/zend_operators.lo Zend/zend_property_hooks.lo Zend/zend_ptr_stack.lo Zend/zend_signal.lo Zend/zend_smart_str.lo Zend/zend_sort.lo Zend/zend_stack.lo Zend/zend_stream.lo Zend/zend_string.lo Zend/zend_strtod.lo Zend/zend_system_id.lo Zend/zend_variables.lo Zend/zend_virtual_cwd.lo Zend/zend_vm_opcodes.lo Zend/zend_weakrefs.lo Zend/zend.lo
 PHP_BINARIES = cli fpm phpdbg cgi
-PHP_MODULES = $(phplibdir)/sqlite3.la $(phplibdir)/zlib.la $(phplibdir)/bz2.la $(phplibdir)/curl.la $(phplibdir)/exif.la $(phplibdir)/gd.la $(phplibdir)/intl.la $(phplibdir)/ldap.la $(phplibdir)/mbstring.la $(phplibdir)/mysqli.la $(phplibdir)/pdo.la $(phplibdir)/pdo_mysql.la $(phplibdir)/pdo_pgsql.la $(phplibdir)/pdo_sqlite.la $(phplibdir)/pgsql.la $(phplibdir)/soap.la $(phplibdir)/sockets.la $(phplibdir)/xml.la $(phplibdir)/zip.la $(phplibdir)/mysqlnd.la
+PHP_MODULES = $(phplibdir)/sqlite3.la $(phplibdir)/zlib.la $(phplibdir)/bz2.la $(phplibdir)/curl.la $(phplibdir)/exif.la $(phplibdir)/gd.la $(phplibdir)/intl.la $(phplibdir)/ldap.la $(phplibdir)/mbstring.la $(phplibdir)/mysqlnd.la $(phplibdir)/mysqli.la $(phplibdir)/pdo.la $(phplibdir)/pdo_mysql.la $(phplibdir)/pdo_pgsql.la $(phplibdir)/pdo_sqlite.la $(phplibdir)/pgsql.la $(phplibdir)/soap.la $(phplibdir)/sockets.la $(phplibdir)/xml.la $(phplibdir)/zip.la
 PHP_ZEND_EX =
 bindir = ${exec_prefix}/bin
 sbindir = ${exec_prefix}/sbin