--- ./src/CommandLine.h.orig	2020-07-31 03:00:57 +0000
+++ ./src/CommandLine.h	2020-07-31 03:01:38 +0000
@@ -9,9 +9,7 @@
 #ifndef SQUID_COMMANDLINE_H
 #define SQUID_COMMANDLINE_H
 
-#if HAVE_GETOPT_H
-#include <getopt.h>
-#endif
+#include "../getopt_long.c"
 #include <vector>
 
 typedef struct option RawLongOption;
--- ./tools/squidclient/Ping.cc.orig	2020-07-31 03:15:15 +0000
+++ ./tools/squidclient/Ping.cc	2020-07-31 03:15:35 +0000
@@ -15,9 +15,7 @@
 #include <csignal>
 #include <iostream>
 
-#if HAVE_GETOPT_H
-#include <getopt.h>
-#endif
+#include "../../getopt_long.c"
 
 namespace Ping
 {
--- ./tools/squidclient/Transport.cc.orig	2020-07-31 03:22:27 +0000
+++ ./tools/squidclient/Transport.cc	2020-07-31 03:22:51 +0000
@@ -12,9 +12,7 @@
 #include "tools/squidclient/Ping.h"
 #include "tools/squidclient/Transport.h"
 
-#if HAVE_GETOPT_H
-#include <getopt.h>
-#endif
+#include "../../getopt_long.c"
 #if HAVE_GNUTLS_X509_H
 #include <gnutls/x509.h>
 #endif
--- ./tools/squidclient/squidclient.cc.orig	2020-07-31 03:20:19 +0000
+++ ./tools/squidclient/squidclient.cc	2020-07-31 03:20:48 +0000
@@ -49,9 +49,8 @@
 #if HAVE_NETINET_IN_H
 #include <netinet/in.h>
 #endif
-#if HAVE_GETOPT_H
-#include <getopt.h>
-#endif
+#include "../../getopt_long.c"
+#include "fde.h"
 
 #ifndef BUFSIZ
 #define BUFSIZ      8192
#--- ./tools/Makefile.in.orig	2024-01-23 03:46:58.228095089 +0000
#+++ ./tools/Makefile.in	2024-01-23 03:48:11.590044515 +0000
#@@ -173,7 +173,7 @@
# 	cachemgr__CGIEXT_-Here.$(OBJEXT) \
# 	cachemgr__CGIEXT_-MemBuf.$(OBJEXT) \
# 	cachemgr__CGIEXT_-cachemgr.$(OBJEXT) \
#-	cachemgr__CGIEXT_-test_tools.$(OBJEXT)
#+	cachemgr__CGIEXT_-test_tools.$(OBJEXT) $(top_builddir)/src/ip/Address.$(OBJEXT) $(top_builddir)/src/ip/tools.$(OBJEXT)
# am__dirstamp = $(am__leading_dot)dirstamp
# nodist_cachemgr__CGIEXT__OBJECTS =  \
# 	tests/cachemgr__CGIEXT_-stub_cbdata.$(OBJEXT) \
#@@ -815,7 +815,6 @@
# man_MANS = cachemgr.cgi.8
# DISTCLEANFILES = 
# LDADD = \
#-	$(top_builddir)/src/ip/libip.la \
# 	$(top_builddir)/src/mem/libminimal.la \
# 	$(top_builddir)/src/time/libtime.la \
# 	$(top_builddir)/lib/libmiscencoding.la \
#--- ./tools/squidclient/Makefile.in.orig	2024-01-23 03:49:50.320326262 +0000
#+++ ./tools/squidclient/Makefile.in	2024-01-23 03:50:38.633768329 +0000
#@@ -170,7 +170,7 @@
# PROGRAMS = $(bin_PROGRAMS)
# am_squidclient_OBJECTS = Ping.$(OBJEXT) Transport.$(OBJEXT) \
# 	gssapi_support.$(OBJEXT) squidclient.$(OBJEXT) \
#-	test_tools.$(OBJEXT)
#+	test_tools.$(OBJEXT) $(top_builddir)/src/ip/Address.$(OBJEXT) $(top_builddir)/src/ip/tools.$(OBJEXT)
# am__dirstamp = $(am__leading_dot)dirstamp
# nodist_squidclient_OBJECTS = tests/stub_debug.$(OBJEXT)
# squidclient_OBJECTS = $(am_squidclient_OBJECTS) \
#@@ -799,7 +799,6 @@
# man_MANS = squidclient.1
# DISTCLEANFILES = 
# LDADD = \
#-	$(top_builddir)/src/ip/libip.la \
# 	$(top_builddir)/src/mem/libminimal.la \
# 	$(top_builddir)/src/time/libtime.la \
# 	$(top_builddir)/src/base/libbase.la \
--- ./tools/squidclient/Makefile.in.orig	2024-02-16 12:23:06.190043727 +0000
+++ ./tools/squidclient/Makefile.in	2024-02-16 12:24:54.070043744 +0000
@@ -170,7 +170,8 @@
 PROGRAMS = $(bin_PROGRAMS)
 am_squidclient_OBJECTS = Ping.$(OBJEXT) Transport.$(OBJEXT) \
 	gssapi_support.$(OBJEXT) squidclient.$(OBJEXT) \
-	test_tools.$(OBJEXT)
+	test_tools.$(OBJEXT) $(top_builddir)/src/ip/Address.$(OBJEXT) $(top_builddir)/src/ip/tools.$(OBJEXT) \
+	$(top_builddir)/src/base/.libs/Here.$(OBJEXT)
 am__dirstamp = $(am__leading_dot)dirstamp
 nodist_squidclient_OBJECTS = tests/stub_debug.$(OBJEXT)
 squidclient_OBJECTS = $(am_squidclient_OBJECTS) \
@@ -799,10 +800,8 @@
 man_MANS = squidclient.1
 DISTCLEANFILES = 
 LDADD = \
-	$(top_builddir)/src/ip/libip.la \
 	$(top_builddir)/src/mem/libminimal.la \
 	$(top_builddir)/src/time/libtime.la \
-	$(top_builddir)/src/base/libbase.la \
 	$(top_builddir)/lib/libmiscencoding.la \
 	$(top_builddir)/lib/libmiscutil.la \
 	$(COMPAT_LIB) \
--- ./tools/Makefile.in.orig	2024-02-16 13:02:27.790043752 +0000
+++ ./tools/Makefile.in	2024-02-16 13:03:25.790043746 +0000
@@ -173,7 +173,9 @@
 	cachemgr__CGIEXT_-Here.$(OBJEXT) \
 	cachemgr__CGIEXT_-MemBuf.$(OBJEXT) \
 	cachemgr__CGIEXT_-cachemgr.$(OBJEXT) \
-	cachemgr__CGIEXT_-test_tools.$(OBJEXT)
+	cachemgr__CGIEXT_-test_tools.$(OBJEXT) \
+	$(top_builddir)/src/ip/Address.$(OBJEXT) \
+	$(top_builddir)/src/ip/tools.$(OBJEXT)
 am__dirstamp = $(am__leading_dot)dirstamp
 nodist_cachemgr__CGIEXT__OBJECTS =  \
 	tests/cachemgr__CGIEXT_-stub_cbdata.$(OBJEXT) \
@@ -815,7 +817,6 @@
 man_MANS = cachemgr.cgi.8
 DISTCLEANFILES = 
 LDADD = \
-	$(top_builddir)/src/ip/libip.la \
 	$(top_builddir)/src/mem/libminimal.la \
 	$(top_builddir)/src/time/libtime.la \
 	$(top_builddir)/lib/libmiscencoding.la \