--- ./src/lib/log.c_orig        2025-08-08 10:03:04.752132666 -0500
+++ ./src/lib/log.c     2025-08-08 10:03:44.452130835 -0500
@@ -81,7 +81,7 @@
         }
 #else
         dprintf(log_fd, "%s: ", function);
-        vdprintf(log_fd, format, args);
+        /* vdprintf(log_fd, format, args); */
         dprintf(log_fd, "\n");
 #endif
     }

--- ./src/lib/index/index_read.c_orig	2025-08-08 08:39:39.752127636 -0500
+++ ./src/lib/index/index_read.c	2025-08-08 08:50:00.667592140 -0500
@@ -35,7 +35,9 @@
 #elif defined(_WIN32)
 // no endian.h available
 #else
+#ifndef _AIX
 #include <endian.h>
+#endif
 #endif
 #include <zck.h>

 
--- ./src/unzck.c_orig  2025-08-08 12:13:11.596302318 -0500
+++ ./src/unzck.c       2025-08-08 12:14:15.524569269 -0500
@@ -40,7 +40,9 @@
 #include <libgen.h>
 #endif
 #include <unistd.h>
+#ifndef _AIX
 #include <argp.h>
+#endif
 #include <zck.h>
 
 #include "util_common.h"
@@ -49,6 +51,16 @@
 
 static char args_doc[] = "<file>";
 
+struct arguments {
+  char *args[1];
+  zck_log_type log_level;
+  bool dict;
+  bool header;
+  bool stdout1;
+  bool exit;
+};
+
+#if 0
 static struct argp_option options[] = {
     {"verbose", 'v', 0,        0,
      "Increase verbosity (can be specified more than once for debugging)"},
@@ -118,6 +130,7 @@
 }
 
 static struct argp argp = {options, parse_opt, args_doc, doc};
+#endif
 
 int main (int argc, char *argv[]) {
     struct arguments arguments = {0};
@@ -124,8 +137,10 @@
 
     /* Defaults */
     arguments.log_level = ZCK_LOG_ERROR;
-
+#if 0
     int retval = argp_parse (&argp, argc, argv, 0, 0, &arguments);
+#endif
+    int retval = 1;
     if(retval || arguments.exit)
         exit(retval);
 
@@ -161,7 +176,7 @@
 #else
     int dst_fd = STDOUT_FILENO;
 #endif
-    if(!arguments.std_out) {
+    if(!arguments.stdout1) {
         dst_fd = open(out_name, O_TRUNC | O_WRONLY | O_CREAT | O_BINARY, 0666);
         if(dst_fd < 0) {
             LOG_ERROR("Unable to open %s", out_name);


--- ./src/zck.c_orig    2025-08-12 09:50:14.432138126 -0500
+++ ./src/zck.c 2025-08-12 09:51:44.712142472 -0500
@@ -39,7 +39,9 @@
 #include <libgen.h>
 #endif
 #include <unistd.h>
+#ifndef _AIX
 #include <argp.h>
+#endif
 #include <zck.h>
 
 #include "util_common.h"
@@ -49,6 +51,20 @@
 
 static char args_doc[] = "<file>";
 
+struct arguments {
+  char *args[1];
+  zck_log_type log_level;
+  char *split_string;
+  bool manual_chunk;
+  char *output;
+  char *dict;
+  char *compression_format;
+  bool exit;
+  bool uncompressed;
+  zck_hash chunk_hashtype;
+};
+
+#if 0
 static struct argp_option options[] = {
     {"output",             'o', "FILE",      0,
      "Output to specified FILE"},
@@ -158,6 +174,7 @@
 }
 
 static struct argp argp = {options, parse_opt, args_doc, doc};
+#endif
 
 static void write_data(zckCtx *zck, char *data, ssize_t in_size) {
     if(zck_write(zck, data, in_size) < 0) {
@@ -173,8 +190,10 @@
     arguments.log_level = ZCK_LOG_ERROR;
     arguments.chunk_hashtype = ZCK_HASH_UNKNOWN;
     arguments.compression_format = "zstd";
-
+#if 0   
     int retval = argp_parse(&argp, argc, argv, 0, 0, &arguments);
+#endif
+int retval = 1;
     if(retval || arguments.exit)
         exit(retval);
 
 
--- ./src/zck_delta_size.c_orig	2025-08-08 09:07:05.352130158 -0500
+++ ./src/zck_delta_size.c	2025-08-08 09:09:47.969591818 -0500
@@ -33,7 +33,9 @@
 #include <sys/stat.h>
 #include <fcntl.h>
 #include <unistd.h>
+#ifndef _AIX
 #include <argp.h>
+#endif
 #include <zck.h>
 
 #include "util_common.h"
@@ -43,6 +45,12 @@
 
 static char args_doc[] = "<file 1> <file 2>";
 
+struct arguments {
+  char *args[2];
+  zck_log_type log_level;
+  bool exit;
+};
+#if 0
 static struct argp_option options[] = {
     {"verbose", 'v', 0,        0,
      "Increase verbosity (can be specified more than once for debugging)"},
@@ -96,6 +104,7 @@
 }
 
 static struct argp argp = {options, parse_opt, args_doc, doc};
+#endif
 
 int main (int argc, char *argv[]) {
     struct arguments arguments = {0};
@@ -103,7 +112,10 @@
     /* Defaults */
     arguments.log_level = ZCK_LOG_ERROR;
 
+#if 0
     int retval = argp_parse(&argp, argc, argv, 0, 0, &arguments);
+#endif
+    int retval = 1;
     if(retval || arguments.exit)
         exit(retval);

 
--- ./src/zck_dl.c_orig	2025-08-08 09:10:25.350466261 -0500
+++ ./src/zck_dl.c	2025-08-08 09:22:48.877513017 -0500
@@ -39,7 +39,9 @@
 #endif
 #include <unistd.h>
 #include <errno.h>
+#ifndef _AIX
 #include <argp.h>
+#endif
 #include <zck.h>
 #include <curl/curl.h>
 
@@ -49,6 +51,24 @@
 
 static char args_doc[] = "<file>";
 
+struct arguments {
+  char *args[1];
+  zck_log_type log_level;
+  char *source;
+  int fail_no_ranges;
+  bool exit;
+};
+
+static int range_attempt[] = {
+    255,
+    127,
+    7,
+    2,
+    1
+};
+
+
+#if 0
 static struct argp_option options[] = {
     {"verbose",        'v',  0,        0, "Increase verbosity"},
     {"quiet",          'q',  0,        0,
@@ -130,6 +150,7 @@
 }
 
 static struct argp argp = {options, parse_opt, args_doc, doc};
+#endif
 
 typedef struct dlCtx {
     CURL *curl;
@@ -311,8 +332,10 @@
 
     /* Defaults */
     arguments.log_level = ZCK_LOG_INFO;
-
+#if 0
     int retval = argp_parse (&argp, argc, argv, 0, 0, &arguments);
+#endif
+    int retval = 1; 
     if(retval || arguments.exit)
         exit(retval);

 
--- ./src/zck_gen_zdict.c_orig	2025-08-08 09:48:56.433093981 -0500
+++ ./src/zck_gen_zdict.c	2025-08-08 09:52:00.139364046 -0500
@@ -44,7 +44,9 @@
 #endif
 #include <dirent.h>
 #include <unistd.h>
+#ifndef _AIX
 #include <argp.h>
+#endif
 #include <zck.h>
 
 #if defined(stdout)
@@ -57,6 +59,15 @@
 
 static char args_doc[] = "<file>";
 
+struct arguments {
+  char *args[1];
+  char *dir;
+  zck_log_type log_level;
+  bool exit;
+};
+
+
+#if 0
 static struct argp_option options[] = {
     {"verbose", 'v', 0,        0,
      "Increase verbosity (can be specified more than once for debugging)"},
@@ -120,6 +131,7 @@
 }
 
 static struct argp argp = {options, parse_opt, args_doc, doc};
+#endif
 
 char *get_tmp_dir(char *old_dir) {
     char *dir = NULL;
@@ -204,7 +216,10 @@
     /* Defaults */
     arguments.log_level = ZCK_LOG_ERROR;
 
+#if 0
     int retval = argp_parse (&argp, argc, argv, 0, 0, &arguments);
+#endif
+    int retval = 1; 
     if(retval || arguments.exit)
         exit(retval);

 
--- ./src/zck_read_header.c_orig	2025-08-08 09:53:20.251218280 -0500
+++ ./src/zck_read_header.c	2025-08-08 09:56:39.943599302 -0500
@@ -34,7 +34,9 @@
 #include <sys/stat.h>
 #include <fcntl.h>
 #include <unistd.h>
+#ifndef _AIX
 #include <argp.h>
+#endif
 #include <zck.h>
 
 #include "util_common.h"
@@ -43,6 +45,16 @@
 
 static char args_doc[] = "<file>";
 
+struct arguments {
+  char *args[1];
+  bool verify;
+  bool quiet;
+  bool show_chunks;
+  zck_log_type log_level;
+  bool exit;
+};
+
+#if 0
 static struct argp_option options[] = {
     {"verbose",     'v', 0,        0,
      "Increase verbosity (can be specified more than once for debugging)"},
@@ -111,6 +123,7 @@
 }
 
 static struct argp argp = {options, parse_opt, args_doc, doc};
+#endif
 
 int main (int argc, char *argv[]) {
     struct arguments arguments = {0};
@@ -118,7 +131,10 @@
     /* Defaults */
     arguments.log_level = ZCK_LOG_ERROR;
 
+#if 0
     int retval = argp_parse (&argp, argc, argv, 0, 0, &arguments);
+#endif
+    int retval = 1;
     if(retval || arguments.exit)
         exit(retval);
 